/* Foto credits and caption depend on blazy formatter */
/* We have 3 cases:  Media image field, hero image, embedded image */

.blazy__caption,
.embedded-entity {
  position: relative;
}

/* When we use blazy to render media image entity */
.blazy__caption--h4c-media-rights-of-use {
  position: absolute;
  right: .4rem;
  color: white;
  font-size: 0.75rem;
  filter: drop-shadow(.05em .05em .1em black);
}

/* Account for overlapping of content-wrapper above hero image, no caption */
.hero-image .blazy__caption--h4c-media-rights-of-use {
  bottom: 2.2rem;
}

/* Account for media image field, optional caption (bottom won't work here) */
.article-image .blazy__caption--h4c-media-rights-of-use {
  top: -1.7rem;
}

/* In embedded entities only the image is rendered by blazy, so image rights need extra treatment */
.embedded-entity .h4c-media-rights-of-use {
  position: absolute;
  right: .4rem;
  bottom: 0;
  color: white;
  font-size: 0.75rem;
  filter: drop-shadow(.05em .05em .1em black);
}

/* text-content class is always parent for embedded-entities */
.embedded-entity .h4c-media-rights-of-use p {
  margin: 0;
}